ChildProjectsResource
Manages child projects of the current project.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class ChildProjectsResourceManages child projects of the current project. Get it from SlimProjectsResource.child().
Methods
list
public JsonNode list(RequestOptions options) throws IOException, InterruptedExceptionLists child projects (GET /v2/slim/project/child).
Parameters:
options: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
create
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedExceptionCreates a child project (POST /v1/slim/project/child).
Parameters:
body: the child project to createoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
delete
public JsonNode delete(
String subProjectId,
RequestOptions options) throws IOException, InterruptedExceptionDeletes a child project (DELETE /v1/slim/project/child/{subProjectId}).
Parameters:
subProjectId: the child project IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on